commit b6092488058da39754ece13475aab53616397af7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 28 10:55:33 2023 +1000

    xinput 1.6.4
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2dbdc2adf8cc7983f153b6ca90c3a87b0997ddb5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 29 12:05:32 2022 +1000

    Add support for the XWAYLAND extension
    
    Where this extension is present, we can be sure the X server is
    Xwayland. Since it'll take a while for servers to propagate, leave the
    existing check in place as fallback.
    
    See https://gitlab.freedesktop.org/xorg/proto/xorgproto/-/merge_requests/54
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 889cfceebd77c58734477e3083d1577b17884046
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8cebd89a644545c91a3d1c146977fe023798ee2a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 24 18:44:39 2019 +1000

    test-xi2: print timestamps for all events
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ea196bdcb912505277166aa12a21ca8739cdc8fb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 10 09:31:30 2022 +1000

    Drop the space before colon in the usage output
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c57678d333ca993afa50134d7b7beb252d02f35c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 10 09:28:35 2022 +1000

    man: rename the options to commands and drop the double-dash
    
    "xinput list" is much more modern than xinput --list, let's list it as
    such in the man page. --help already lists it without double-dash as
    well.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dad6251572071089c680932f86ff62a703054202
Author: Luca Carlon <carlon.luca@gmail.com>
Date:   Tue Mar 8 13:05:15 2022 +0100

    Use a constant id to let the user reset the input transformation matrix.
    
    Signed-off-by: Luca Carlon <carlon.luca@gmail.com>

commit f77ed7621e6e7918fe1eb3d390f22b545b883a33
Author: Ben Kallus <benjamin.p.kallus.gr@dartmouth.edu>
Date:   Fri Jan 14 17:55:53 2022 -0500

    Add argc checks to delete-prop
    
    Signed-off-by: Ben Kallus <benjamin.p.kallus.gr@dartmouth.edu>

commit 7cc6456425cd15532768a2edda4fb4d9f432baf9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:40:50 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b749abc611985a9dd0bc7a349689b44a01143bd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 6 14:40:47 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cef07c0c8280d7e7b82c3bcc62a1dfbe8cc43ff8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 17 15:25:10 2019 +1000

    xinput 1.6.3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d0a77e79a73177090ae7dceb7a9802f98db6d9f0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 16:06:44 2019 +1000

    Warn if you're running against an XWayland server
    
    Because there's a 99% chance you don't want this.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c7ca2b99c099456d0c0e83309d6f426c5feacb25
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:10:59 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5a8f3121c7f64dbb47fad99c027389e7d78453e4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 13 09:39:22 2018 +1000

    test-xi2: add an extra NULL-check
    
    Shuts up coverity because it doesn't know that by the time we get here, we're
    guaranteed that the device exists. Otherwise the list() call a few lines above
    would've failed and we wouldn't get here.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3ea8f02027b18cf06774c8f26a719e321e9a78f2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 12 14:49:21 2018 +1000

    property: plug a memory leak
    
    Not that it matters since we'll exit after this call anyway, but coverity is
    unhappy and that makes us all unhappy, doesn't it?
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 988488127cdf49b47cd075a698c78f25ee193467
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 25 14:32:56 2017 +1000

    man: document an example for a set-prop call
    
    Because it's 99% of the use-cases people use libinput for these days.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ed8c0865a2c1ec470b7c179a2907edb37bbad3a6
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 60d812e56dd6da3f32aea574ef33826f62379d03
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fb9cb61708c2cbe832824575daef27ea1c51ab38
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit d63b2f2d36289396b097bf9b35fc8969bf8f31c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:03:14 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5ecd774d28f011c3ab0008084aa280f65911454a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 26 10:37:26 2017 +1000

    autogen.sh: drop maintainer mode
    
    Missing from 1f812f44a3a22e27de00a447c34657e590231a76
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 29e7ec5a3d7e920950d5a5c97020ce82b30c4888
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 24 08:58:22 2016 +1000

    Switch to using "#if HAVE_XI..." exclusively
    
    Don't mix  "if" and "ifdef"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2865729adc2f004b61ba853d98a4c2758fd0b601
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 20 07:35:40 2015 +1000

    xinput 1.6.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc9026e00037845d58bc25c70dda46f192907dd4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 18 17:15:18 2015 +1000

    Print touch event flags in test-xi2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 90463ec26d4c89bdf63aab4ddac9f8295b6589cc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 30 07:47:28 2015 +1000

    property: return EXIT_FAILURE if at least one device fails (#90226)
    
    list-props allows for multiple devices to be queried simultaneously, so we
    don't break out of the loop but rather change the exit code if at least one of
    the devices doesn't exist.
    
    X.Org Bug 90226 <http://bugs.freedesktop.org/show_bug.cgi?id=90226>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ed64e29a0c4c728f3eff64725c0ed386d172ae4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Nov 6 11:44:55 2014 +1000

    Fix valuator printf output in test-xi2
    
    Avoid mixing event flags into the valuator output
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 904a32d908219d6fea833576f7c31727bd3aea2f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Nov 25 14:51:50 2013 +1000

    Fix crash for enable/disable without a device argument
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 68e488725a95508378d8a24a9da609a7e80e2ef7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Oct 25 21:51:37 2013 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Fix Automake warning: AC_OUTPUT should be used without arguments.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Files
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1f812f44a3a22e27de00a447c34657e590231a76
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 16 09:08:29 2013 +1000

    Drop AM_MAINTAINER_MODE
    
    See http://blogs.gnome.org/desrt/2011/09/08/am_maintainer_mode-is-not-cool/
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 82f1902fef60569680f3a27bf6d0c8da5bafc8a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 16 09:02:05 2013 +1000

    xinput 1.6.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 157d147fe10dd31d7c6a286c046348b8699ba9ea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 8 09:55:18 2013 +1000

    Fix version selection condition
    
    If XI22 is true, XI21 is set too so we'd never actually register for XI 2.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 39ac9d85f464ca3195e8b3b2d3f6c3188f83e25e
Merge: a10f48d 852ed7c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jul 15 15:02:55 2013 +1000

    Merge branch 'test-root-flag'

commit 852ed7c7064be60acb25a574563e95b4c5800205
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 10 15:22:25 2013 +1000

    test-xi2: add support for test-xi2 --root
    
    Select on the root window instead of a newly created one
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d08c42788cc711a7abfc51279d450847684cad7c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 10 15:07:17 2013 +1000

    test-xi2: group event selection down
    
    No real functional changes, just group the two selection requests together.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cac73b0cddc5a3d9a97e1698a5498c26fd1b5e0f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 10 15:02:18 2013 +1000

    test-xi2: allocate both masks at the same time
    
    no functional changes for now, prep work for the --root flag
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 11e355174ee28892ec028559ee85d327ef3a2325
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 10 15:03:35 2013 +1000

    test-xi2: drop unused grab code
    
    Not sure why this code is still here
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a10f48d2dcd24fc4211d69b388f499398891c577
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Mon Jul 1 18:36:28 2013 +0100

    Use setvbuf() instead of setlinebuf()
    
    setlinebuf() added in commit bcfa9123b41da8048450ed27aaeffff17b8eee99 is not in
    SuS v3, use the exactly equivalent C89 setvbuf() invocation for portability
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5dce5636d23f366d72f88c341ca1ff9da4427f66
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 10 15:25:38 2013 +1000

    Add support for XINPUT_XI2_VERSION environment variable to override version
    
    By default, xinput announces whatever version it was built against. For
    debugging it can be useful to set this version on-the-fly.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bcfa9123b41da8048450ed27aaeffff17b8eee99
Author: Nikolai Kondrashov <spbnick@gmail.com>
Date:   Fri Aug 17 13:29:10 2012 +0300

    Increase interactiveness of test* output
    
    Force line buffering for test and test_xi2 to increase interactiveness and
    avoid losing data with non-terminal stdout. This fixes capturing xinput
    test* output into a file.
    
    Signed-off-by: Nikolai Kondrashov <spbnick@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9071787a1d22b256c5871897f9421ba6ea2f4f76
Author: Alon Levy <alevy@redhat.com>
Date:   Sat Jun 9 17:23:37 2012 +0300

    map-to-output: implement reflections and rotations
    
    Uses the rotation & translation currently set according to RandR.
    
    Signed-off-by: Alon Levy <alevy@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 15f5811753c0be8d7e38c44dc1798740071ba5c1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu May 31 22:35:35 2012 -0700

    Free strings allocated by GetAtomName instead of letting them leak
    
    Fixes errors reported by Parfait 0.5.0.1 bug checking tool:
    
    Error: Memory leak (CWE 401)
       Memory leak of pointer '<unknown>' allocated with XGetAtomName(dpy, info->type)
            at line 122 of src/list.c in function 'print_info'.
              pointer allocated at line 84 with XGetAtomName(dpy, info->type).
              <unknown> leaks when i >= info->num_classes at line 88.
    Error: Memory leak (CWE 401)
       Memory leak of pointer '<unknown>' allocated with XGetAtomName(dpy, a)
            at line 160 of src/property.c in function 'print_property'.
              pointer allocated at line 131 with XGetAtomName(dpy, a).
       Memory leak of pointer '<unknown>' allocated with XGetAtomName(dpy, act_type)
            at line 160 of src/property.c in function 'print_property'.
              pointer allocated at line 143 with XGetAtomName(dpy, act_type).
       Memory leak of pointer 'name' allocated with XGetAtomName(dpy, property)
            at line 160 of src/property.c in function 'print_property'.
              'name' allocated at line 61 with XGetAtomName(dpy, property).
    Error: Memory leak (CWE 401)
       Memory leak of pointer '<unknown>' allocated with XGetAtomName(dpy, a)
            at line 521 of src/property.c in function 'print_property_xi2'.
              pointer allocated at line 491 with XGetAtomName(dpy, a).
       Memory leak of pointer '<unknown>' allocated with XGetAtomName(dpy, act_type)
            at line 521 of src/property.c in function 'print_property_xi2'.
              pointer allocated at line 504 with XGetAtomName(dpy, act_type).
       Memory leak of pointer 'name' allocated with XGetAtomName(dpy, property)
            at line 521 of src/property.c in function 'print_property_xi2'.
              'name' allocated at line 428 with XGetAtomName(dpy, property).
    
    Confirmed with Solaris Studio runtime checker that "list-props" now has
    fewer leaks than before and "watch-props" no longer leaks a string every
    time a property changes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 60fe84e83b14576fb70d79c5d39755a281906607
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 15 15:47:45 2012 +1000

    xinput 1.6.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2c52e836b8e5a98a1faa5243cb4deb149091c52c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 14 17:27:55 2012 +1000

    Add --enable/--disable support
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit bfac9503e99a266e19bc21805cb4fc38efd16612
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 16 12:39:58 2012 +1000

    xinput 1.5.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 286edaa10022fad59acd6d1eabb3a74769c99892
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 10 09:28:36 2012 +1000

    Print the sourceid for raw events
    
    Due to http://bugs.freedesktop.org/show_bug.cgi?id=34240 this will display 0
    for XI < 2.2 and libXi < 1.6.1.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 8caaf2f872be80e6aa222505d96d6025cf4f8d80
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 21 11:57:19 2012 +1000

    Handle XA_CARDINAL as property type
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b181658db7c72b664d40f2736fe425819421ce52
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 14:34:23 2012 +1000

    Replace NVIDIA-specific output checking
    
    If the binary driver drives at least one screen, the old method did
    not allow for randr-style screen binding (on the other screen).
    
    Change the logic to:
    - check if the output an randr output
    - if not, check if the "default" randr output is present and the output name
      was "HEAD-n"
      - if so, use Xinerama-style mapping
    
    This keeps the current behaviour of not allowing Xinerama-style mapping if
    all outputs are RandR capable.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>
    Tested-by: Aaron Plattner <aplattner@nvidia.com>

commit eb40d9cc5d59321263fd8fa3f76ddd912d1fb804
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 14:33:56 2012 +1000

    Add find_output_xrandr to check for output presence
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5d32964533e4ebe3c69f1dfa34c709a1f447ad86
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 13:23:08 2012 +1000

    Don't leak output_info
    
    This inverts the logic to have a more obvious flow for freeing the
    output_info.
    
    ==26716== 1,161 bytes in 8 blocks are definitely lost in loss record 5 of 7
    ==26716==    at 0x4A074CD: malloc (vg_replace_malloc.c:236)
    ==26716==    by 0x395D804ABA: XRRGetOutputInfo (in /usr/lib64/libXrandr.so.2.2.0)
    ==26716==    by 0x40932B: map_output_xrandr (transform.c:150)
    ==26716==    by 0x40982F: map_to_output (transform.c:263)
    ==26716==    by 0x4070A4: main (xinput.c:386)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e1686fdbb8729f9f639ecab6860690103bb25db1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 13:19:42 2012 +1000

    Always call XCloseDisplay()
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f427c74b6cd7089690c000c257468629a762b1eb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 10:33:06 2012 +1000

    Enclose property and device names in quotes
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit c591231a666d8dfdac4d301c0de49f34ac3e4aac
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 8 20:46:29 2012 +1000

    Fix XRRCrtcInfo memory leaks
    
    crtc_info isn't used until later, move down to the block it is used to avoid
    leaking.
    
    Reported-by: Aaron Plattner <aplattner@nvidia.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit a0e4d4e1067de2a25e05272238a8503691c5b01a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 7 18:20:37 2012 +1000

    Rename map-to-crtc to map-to-output
    
    xrandr uses "output", let's be consistent there.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Aaron Plattner <aplattner@nvidia.com>

commit 30f9ee3f859eb8413099be9eb8dfceaa195a5aa9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 12 16:08:35 2012 +1000

    xinput 1.5.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fb6f41ced063c558f7bf8f10898f027612e2ad34
Merge: c690fad 7f2f41d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 12 16:01:28 2012 +1000

    Merge branch 'multitouch'

commit c690fad9aa0dbc9d574d25e014d1dc15281b0870
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 21 21:31:51 2011 -0800

    print_version expects no arguments, so give it none
    
    Fixes Solaris Studio compiler warning:
    "xinput.c", line 357: warning: argument mismatch: 1 arg passed, 0 expected
    
    gcc ignored it because the function declaration didn't specify arguments.
    Once you specify (void) for the arguments, gcc then throws up:
    xinput.c: In function ‘main’:
    xinput.c:357:9: error: too many arguments to function ‘print_version’
    xinput.c:147:1: note: declared here
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ab352ec2789130cfcb7b61ae5bf36d6af4daa4a3
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Tue Nov 29 23:52:53 2011 -0800

    Print usage when run with --help
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Bryce Harrington <bryce@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b8f54d5c5874827fa24970029a23be06fe02bca1
Author: Bryce Harrington <bryce@canonical.com>
Date:   Tue Nov 29 17:33:23 2011 -0800

    xinput: Assume 'list' by default if no args given.
    
    xrandr lists all outputs by default when run with no args.  So, make
    xinput list all inputs by default when run the same way, so the tools
    are consistent.
    
    Signed-off-by: Bryce Harrington <bryce@canonical.com>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7f2f41d2c8fa7dad9596c34160a85fea026afccb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Nov 2 12:13:57 2011 +1000

    add support for touch raw events
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 609039e67ef62f3e4efd0e04572bdcd86ea45d34
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 26 14:42:36 2011 +1000

    test-xi2: check return value of list, exit on failure
    
    If list() fails, the server doesn't support XI2 or the device is invalid. In
    either case, exit.
    
    Fixes crashes when a nonexisting device is given.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9c3baacbd819eae122a4c0b679efc3c36895cff9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 25 13:48:57 2011 +1000

    test-xi2: add basic touch support
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9aea497432322054ff61711abe1d5028a108bcaf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 25 13:45:34 2011 +1000

    test-xi2: Use the longest mask we can get
    
    Avoids ifdefs for touch events lateron
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 01ea71c11d1eae6787ae16ef4044c7d2b34e1800
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 26 08:03:20 2011 +1000

    We support XI 2.1 now
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit c95ba34858f3fd7db284a11a2f00cf77990e4f9e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 27 09:46:27 2011 +1000

    list: drop XIQueryVersion call
    
    main() calls it for us before we get here, no need to have it twice.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 960ed57f624e200467d5b7801da0d11337d8eba4
Merge: fa9fc75 7bbf462
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 23 08:36:47 2011 +1000

    Merge branch 'smooth-scrolling'
    
    Conflicts:
            src/test_xi2.c

commit 7bbf4624b8be1bcac7a782057b9c2db5e8bbcc75
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 19 13:07:57 2011 +1000

    Support the new Scroll class
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit fa9fc75016e3587389040d6b91f03a3b80323a52
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 24 07:50:00 2011 +1000

    Only try to print XIPointerEmulated flag if it is defined.
    
    This flag is part of the future (currently unreleased) XI 2.1 protocol.
    Introduced in 2c5187d0099e6c7588828ba9931d27f5c64bbaec
    
    Reported-by: Chris Ball <cjb@laptop.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4d082915a7f178c4d656fc1f56033b758adef97f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 19 15:24:30 2011 +1000

    Enclose button labels with quotes to improve readability
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 32992f829262322a63e29b3118943e07481abb50
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 19 13:16:17 2011 +1000

    test-xi2: support a device option
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit dcfa38899b2eae1beec9486063281ef0fb0bda76
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 19 13:11:04 2011 +1000

    Print the class type when listing devices.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 2c5187d0099e6c7588828ba9931d27f5c64bbaec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 16 11:39:02 2011 +1000

    test-xi2: print the correct flags, depending on the event type
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 4be60c90008ac48e72e819e078ce957fd003a509
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 12 14:20:21 2011 +1000

    list: don't use defines for checking server version.
    
    Otherwise we run into the old problem again: recompiling xinput against
    newer inputproto headers will appear to change the version support,
    potentially causing errors or other misbehaviours.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8563e64fa4eeaf7b56374fd6695f026d98f1696d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 10:20:42 2011 +1000

    Add support for device-to-screen mapping
    
    xinput map-to-crtc "device name" "VGA0" will map to the CRTC "VGA0" by
    manipulating the transformation matrix accordingly. And because the NVIDIA
    binary driver still exists, Xinerama is supported to. Maybe in another 5
    years, they'll catch up.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Simon Thum <simon.thum@gmx.de>

commit 9877e11586b1f6a99e9ce5bb9b008efa4351a9ed
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 6 08:38:50 2011 +1000

    man: Move my name to the top of the authors list
    
    It's reasonably likely that someone looking at the list of authors will
    email the first one on the list. Let that be the current maintainer, it's
    more likely that there will be the desired response.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit fb0eef1a8f1aa3cb4f67fbb5360635ee4bdb4284
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jul 6 08:38:08 2011 +1000

    man: update missing copyrights
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit e2abaa21a751bd4330f78e4b28920c600067835e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 20 16:09:32 2011 -0400

    Update Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3198664a8a54c1b53a29b71507ea5603d9ee7224
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jun 20 16:09:31 2011 -0400

    Apply standard configuration init, layout and comments
    
    http://www.x.org/wiki/NewModuleGuidelines#Configurationfilescontentguidelines
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a426665bb3cb777a9107bfe6b84ea7d78bcf74aa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jun 18 14:41:34 2011 -0400

    Remove redundant definition of the VERSION Automake variable
    
    This variable is defined by Automake:
    In config.status:
    S["VERSION"]="1.5.3"
    In config.h:
    
    Reverts commit \58c513b0b9f6
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 43b22327c6de3f3410ea77988b23332db86d8d41
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jun 18 14:41:35 2011 -0400

    Man pages Makefile: fix whitespace
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit afad669f560387105570bc5de7466898ecf57f08
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jun 18 14:41:31 2011 -0400

    Use the value of MAN_SUBSTS from util-macros for man pages
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a3bb5a5d495ee8fa390b72bfcd76061f1ca241c7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 11:43:13 2011 +1000

    Remove superfluous comment.
    
    We can't remove this part if we want to keep working against 1.7 and 1.8.1.
    No big deal, if this operation in xinput is the performance-critical path of
    a system, things have gone bad a long time ago.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Julien Cristau <jcristau@debian.org>

commit c51bb9182d1225def39b49ab57612a070e3a192e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 09:14:40 2011 +1000

    Announce support for XI 2.0 to the server.
    
    Technically, we're required to announce support for XI 2.0 through
    XIQueryVersion. The behaviour of XI2 for clients that have not done so is
    undefined, it just happens to work.
    
    With XI 2.1 on the horizon, this may change so make sure we're clamining our
    version correctly
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit bdcb5b2a1b547059cf75b8337f854dbb136705f6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 3 17:05:45 2011 +1000

    Initialize a few more values to defaults.
    
    If we ever print <undefined> for those, we have a buggy X server that's
    breaking the protocol. Until that happens this is just to shut up clang.
    
    All three are assigned constant strings only, no free() needed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ea0db37521c0fce8599c1838e9a919bb3292d413
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 3 17:02:48 2011 +1000

    Silence compiler warning
    
    Static analysis claims that ptr += size may assign garbage. But since the
    protocol requires format to be 8, 16 or 32, size should always have a valid
    value. Initialize to 0 to shut up clang.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit ca5d977e5c5f8a951321edeed7e69f8ed1ec53d3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Mar 4 20:37:44 2011 -0500

    man: replace hard coded section number with __appmansuffix__
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9e8d95799a31f297065f1b3ce346a2567b7cc07a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 18 13:20:58 2011 +1000

    Fix broken "xinput list <devicename>".
    
    Default behaviour for --list is to list --short if no device is given and
    --long if a device is given. Restore this behaviour.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Tested-by: Dirk Wallenstein <halsmit@t-online.de>

commit 976c989af7978277061d0166d8e2a82cb8b1e795
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 18 13:02:20 2011 +1000

    Add --id-only flag for 'xinput list'.
    
    The default output of xinput list is hard to parse by scripts. Provide a
    --id-only option to print the device ID only, without any other
    information.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Tested-by: Dirk Wallenstein <halsmit@t-online.de>

commit ab90151162d39607e264e715a582e783e0da3c3a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 18 12:55:46 2011 +1000

    Add --name-only flag for 'xinput list'.
    
    The default output of xinput list is hard to parse by scripts. Provide a
    --name-only option to print the device name only, without any other
    information.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Tested-by: Dirk Wallenstein <halsmit@t-online.de>

commit ff1ff82438d35e6d68d1bf3b16bfc3520120247c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 18 12:47:33 2011 +1000

    Switch list to use an enum of printing formats.
    
    Currently long and short, same as before. No functional changes, preparation
    for further formats.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Tested-by: Dirk Wallenstein <halsmit@t-online.de>

commit 8acb2a91d9595b5138bd30ddf55eb3f7e6ce111b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 437aedaa8775ff43a144b5ab80abf153b230cbde
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 362189fef8bcb907e9cd756ac3bfa0a3801413a7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:48 2011 -0500
[--snip--]
